import 'swiper/css/bundle';
import '@/sass/main.scss';
import initButton from '@/component/button/button.js';
import initModal from '@/component/modal/modal.js';
import initAccordion from '@/component/accordion/accordion.js';
import initTabs from '@/component/tabs/tabs.js';
import initSlider from '@/component/slider/slider.js';
import initDropdown from '@/component/dropdown/dropdown.js';
import showToast from '@/component/toast/toast.js';
import MicroModal from 'micromodal';

console.log('Hello from main.js!');

initButton();

initModal(); // Initialize Micromodal
document.getElementById('openModalBtn').addEventListener('click', () => {
  MicroModal.show('myModal');
});

initAccordion();
initTabs();
initSlider();
initDropdown();

document.getElementById('showToastBtn').addEventListener('click', () => {
  showToast('This is a test toast message!', 'success');
});
